Package com.sun.jna.platform.unix

## Class X11.AtomByReference

- java.lang.Object
- - com.sun.jna.PointerType
  - - com.sun.jna.ptr.ByReference
    - - com.sun.jna.platform.unix.X11.AtomByReference

All Implemented Interfaces:
  `NativeMapped`

Enclosing interface:
  X11

    public static class X11.AtomByReference
    extends ByReference

### Constructor Summary

Constructors
`AtomByReference()`

### Method Summary

All Methods Instance Methods Concrete Methods
`X11.Atom` `getValue()`

### Methods inherited from class com.sun.jna.ptr.ByReference

`toString`

### Methods inherited from class com.sun.jna.PointerType

`equals, fromNative, getPointer, hashCode, nativeType, setPointer, toNative`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AtomByReference

    public AtomByReference()

### Method Detail

#### getValue

    public X11.Atom getValue()